> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getBlockTransactionCountByNumber

> Get the number of transactions in a block.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x3"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/ethgetblocktransactioncountbynumber.json GET /v2/api
openapi: 3.1.0
info:
  title: eth_getBlockTransactionCountByNumber
  version: 2.0.0
  description: Get the number of transactions in a block.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: eth_getBlockTransactionCountByNumber
      description: Get the number of transactions in a block.
      operationId: getEthgetblocktransactioncountbynumber
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to proxy for this endpoint.
          schema:
            type: string
            default: proxy
          example: proxy
        - name: action
          in: query
          required: true
          description: Set to eth_getBlockTransactionCountByNumber for this endpoint.
          schema:
            type: string
            default: eth_getBlockTransactionCountByNumber
          example: eth_getBlockTransactionCountByNumber
        - name: tag
          in: query
          required: false
          description: Block number in hex format.
          schema:
            type: string
          example: '0x10FB78'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````